import 'package:flutter/material.dart';
import 'package:phoenix_widgets/phoenix_widgets.dart';

class PhoenixDialogPage extends StatefulWidget {
  const PhoenixDialogPage({Key? key}) : super(key: key);

  @override
  _PhoenixDialogPageState createState() => _PhoenixDialogPageState();
}

class _PhoenixDialogPageState extends State<PhoenixDialogPage> {
  final PhoenixDialog _bottomSheetHowItWorks = PhoenixDialog();

  @override
  Widget build(BuildContext context) {
    return Scaffold(
        backgroundColor: Colors.white,
        appBar: AppBar(
          title: const Text('Phoenix Dialog Sample'),
        ),
        body: Center(
          child: Column(
            children: [
              ElevatedButton(
                child: const Text("Show Dialog"),
                onPressed: () {
                  _bottomSheetHowItWorks(
                    context,
                    title: 'Title of Dialog',
                    children: [
                      for (final item in _items)
                        Padding(
                          padding: const EdgeInsets.symmetric(
                            vertical: 12,
                            horizontal: 20,
                          ),
                          child: Row(
                            children: [
                              item.icon,
                              const SizedBox(height: 16),
                              Expanded(
                                child: Column(
                                  crossAxisAlignment: CrossAxisAlignment.start,
                                  children: [
                                    Text(
                                      item.title,
                                      style: const TextStyle(
                                        color: Color(0xFF212124),
                                        fontSize: 16,
                                        fontWeight: FontWeight.w500,
                                      ),
                                    ),
                                    Text(
                                      'Description ${item.title}',
                                      style: const TextStyle(
                                        color: Color(0xFF212124),
                                        fontSize: 14,
                                        fontWeight: FontWeight.normal,
                                      ),
                                    ),
                                  ],
                                ),
                              )
                            ],
                          ),
                        )
                    ],
                  );
                },
              ),
              ElevatedButton(
                child: const Text("Show Dialog without Title"),
                onPressed: () {
                  _bottomSheetHowItWorks(
                    context,
                    children: [
                      for (final item in _items)
                        Padding(
                          padding: const EdgeInsets.symmetric(
                            vertical: 12,
                            horizontal: 20,
                          ),
                          child: Row(
                            children: [
                              item.icon,
                              const SizedBox(height: 16),
                              Expanded(
                                child: Column(
                                  crossAxisAlignment: CrossAxisAlignment.start,
                                  children: [
                                    Text(
                                      item.title,
                                      style: const TextStyle(
                                        color: Color(0xFF212124),
                                        fontSize: 16,
                                        fontWeight: FontWeight.w500,
                                      ),
                                    ),
                                    Text(
                                      'Description ${item.title}',
                                      style: const TextStyle(
                                        color: Color(0xFF212124),
                                        fontSize: 14,
                                        fontWeight: FontWeight.normal,
                                      ),
                                    ),
                                  ],
                                ),
                              )
                            ],
                          ),
                        )
                    ],
                  );
                },
              )
            ],
          ),
        ));
  }
}

final List<PhoenixProductItem> _items = [
  PhoenixProductItem(
      "Tile 1",
      Image.asset(
        "assets/tab_home.png",
        width: 45,
        height: 45,
      )),
  PhoenixProductItem(
      "Tile 2",
      Image.asset(
        "assets/tab_home.png",
        width: 45,
        height: 45,
      )),
  PhoenixProductItem(
      "Tile 3",
      Image.asset(
        "assets/tab_home.png",
        width: 45,
        height: 45,
      )),
];
