import 'package:flutter/material.dart';
import 'package:phoenix_widgets/phoenix_widgets.dart';

class PhoenixShimmerPage extends StatelessWidget {
  const PhoenixShimmerPage({Key? key}) : super(key: key);

  @override
  Widget build(BuildContext context) {
    return Scaffold(
        backgroundColor: Colors.white,
        appBar: AppBar(
          title: const Text('Phoenix Shimmer Sample'),
        ),
        body: Padding(
          padding: const EdgeInsets.symmetric(
            horizontal: 20,
            vertical: 50,
          ),
          child: Center(
              child: Column(
            children: [
              PhoenixShimmer.rectangular(
                height: 10,
                width: MediaQuery.of(context).size.width * .5,
              ),
              const SizedBox(
                height: 10,
              ),
              PhoenixShimmer.rectangular(
                height: 10,
                width: MediaQuery.of(context).size.width,
              ),
              const SizedBox(
                height: 10,
              ),
              Row(
                children: [
                  const PhoenixShimmer.circular(
                    height: 50,
                    width: 50,
                  ),
                  const SizedBox(
                    width: 10,
                  ),
                  Column(
                    crossAxisAlignment: CrossAxisAlignment.start,
                    children: [
                      PhoenixShimmer.rectangular(
                        height: 10,
                        width: 100,
                      ),
                      const SizedBox(
                        height: 10,
                      ),
                      PhoenixShimmer.rectangular(
                        height: 10,
                        width: 150,
                      ),
                    ],
                  )
                ],
              )
            ],
          )),
        ));
  }
}
