// ignore_for_file: require_trailing_commas

import 'package:flutter/material.dart';

class PhoenixBackButton extends StatelessWidget {
  const PhoenixBackButton({
    Key? key,
    this.color = Colors.black,
    this.callback,
    this.size = 28,
  }) : super(key: key);

  final Color color;
  final VoidCallback? callback;
  final double size;

  @override
  Widget build(BuildContext context) {
    return IconButton(
        padding: EdgeInsets.zero,
        icon: Icon(
          Icons.navigate_before,
          color: color,
          size: size,
        ),
        onPressed: () {
          if (callback != null) {
            callback!();
          } else {
            Navigator.of(context).pop();
          }
        });
  }
}
