import 'package:flutter/material.dart';

//ignore: must_be_immutable
class PhoenixBottomMenuUHF extends StatefulWidget {
  PhoenixBottomMenuUHF({
    Key? key,
    required this.navBarItems,
    required this.onTabChange,
    this.selectedTabColor,
    this.unselectedTabColor,
    this.elevation,
    this.backgroundColor,
    this.bottomNavBarType,
    this.iconSize = 25,
    this.selectedIndex,
  }) : super(key: key);

  final Function(int index) onTabChange;

  /// Set of navigation bar item in array
  final List<NavBarItem> navBarItems;

  /// Navigation bar decoration
  final Color? selectedTabColor;
  final Color? unselectedTabColor;
  final double? elevation;
  final Color? backgroundColor;
  final BottomNavigationBarType? bottomNavBarType;
  final double? iconSize;
  int? selectedIndex;

  @override
  State<PhoenixBottomMenuUHF> createState() => _PhoenixBottomMenuUHFState();
}

class _PhoenixBottomMenuUHFState extends State<PhoenixBottomMenuUHF> {
  int selected = 0;

  @override
  Widget build(BuildContext context) {
    if(widget.selectedIndex != null){
      selected = widget.selectedIndex!;
    }
    return BottomNavigationBar(
      type: widget.bottomNavBarType ?? BottomNavigationBarType.fixed,
      elevation: widget.elevation,
      backgroundColor: widget.backgroundColor,
      currentIndex: selected,
      selectedItemColor: widget.selectedTabColor ?? Colors.red,
      unselectedItemColor: widget.unselectedTabColor ?? Colors.black54,
      items: bottomNavigationBarItem(
        widget.selectedTabColor ?? Colors.red,
        widget.unselectedTabColor ?? Colors.black54,
        widget.navBarItems,
      ),

      /// Callback the navigation Bar to widget
      onTap: (index) {
        setState(() {
          selected = index;
          widget.onTabChange(index);
        });
      },
    );
  }

  /// Loop set of list according for navigation bar item
  bottomNavigationBarItem(
    Color _selectedTabColor,
    Color _unselectedTabColor,
    List<NavBarItem> items,
  ) {
    List<BottomNavigationBarItem> listItem = <BottomNavigationBarItem>[];
    for (int num = 0; num < items.length; num++) {
      listItem.add(
        BottomNavigationBarItem(
          activeIcon: items[num].selectedImage,
          icon: items[num].image,
          label: items[num].name!,
        ),
      );
    }
    return listItem;
  }
}

class NavBarItem {
  Widget image;
  Widget? selectedImage;
  String? name;

  NavBarItem({required this.image, this.name, this.selectedImage});
}
