import 'package:flutter/material.dart';

class PhoenixDialog {
  Future<dynamic> call(
    BuildContext context, {
    String? title,
    required List<Widget> children,
    bool dismissible = true,
  }) {
    return showDialog(
      context: context,
      barrierDismissible: dismissible,
      builder: (c) => WillPopScope(
        onWillPop: () async => dismissible,
        child: Dialog(
          insetPadding: const EdgeInsets.symmetric(horizontal: 16),
          child: Padding(
            padding: const EdgeInsets.all(24),
            child: Column(
              mainAxisSize: MainAxisSize.min,
              crossAxisAlignment: CrossAxisAlignment.start,
              children: [
                if (title != null) ...{
                  Text(
                    title,
                    style: const TextStyle(
                      color: Color(0xFF212124),
                      fontSize: 16,
                      fontWeight: FontWeight.w500,
                    ),
                  ),
                  const SizedBox(height: 8),
                },
                for (var child in children) child
              ],
            ),
          ),
        ),
      ),
    );
  }
}
